﻿@{
    ViewBag.Title = "IELTSReport";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        IELTS / PTE Report
    </h1>
</div>
<ul class="breadcrumb">
    <li><a href="/Home/Index">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>



@*<table class="table table-responsive">
    <tr>
        <td>*@

<div class="col-md-11">

    <table style="width:500px">
        <thead>
            <tr>
                <td class="control-label">
                    Filter On <span style="color: Red">(*)</span>
                </td>
                <td class="control-label">
                    From Date <span style="color: Red">(*)</span>
                </td>
                <td>
                    To Date <span style="color: Red">(*)</span>
                </td>

                <td>
                    Report Type
                </td>
                <td>
                    Score
                </td>

            </tr>
          
        </thead>

        <tbody>
            <tr>
                <td class="form-control">
                    <select id="filteron" name="filteron" >
                        <option selected>TestOn</option>
                        <option>BookedOn</option>
                    </select>
                </td>

                <td class="form-control">
                    <input type="date" id="txtfdate" />
                </td>
                <td>
                    <input type="date" id="txtdate" />
                </td>
                <td>
                    <select id="Ielts" style="width:144px">
                        <option value="ALL">ALL</option>
                        <option value="IELTS">IELTS</option>

                        <option value="PTE">PTE</option>
                    </select>
                </td>
                <td align="left">
                    <select id="ieltsscore">
                        <option value="All">All</option>
                        <option value="A5">6>=</option>
                        <option value="B5"><=5.5</option>
                    </select>
                    @*<input type="hidden" value="@ViewBag.ieltsscore" id="hiddenieltsscore" />*@
                </td>
            </tr>
            <tr>
                <td>
                    Branch
                </td>
                <td>
                    Format
                </td>
            </tr>
            <tr>


                <td>
                   @Html.DropDownList("BranchId", (SelectList)ViewBag.val, "All")
                </td>

                <td>
                    <select id="format" style="width:144px">
                        <option value="PDF">PDF</option>
                        <option value="Excel">Excel</option>
                    </select>
                </td>
                <td valign="top">
                    <input type="button" value="Show Report" class="btn btn-primary" id="btnShowReport" />
                </td>
            </tr>
        </tbody>
    </table>
</div>




@section scripts
{
      <script type="text/javascript">
        $(document).ready(function () {

            $("#txtfdate").datepicker();
            $("#txtdate").datepicker();
            $("#btnShowReport").click(function () {
                var dt1 = $("#txtfdate").val();
                var dt2 = $("#txtdate").val();
                var format = $("#format").val();
                var Score = $("#ieltsscore").val();
                var Ielts = $("#Ielts").val();
                var Brnch = $("#BranchId").val();
                var filter = $("#filteron").val();
               
                if (dt1 != "" && dt2 != "") {
                    var a = document.createElement('a');
                    a.href = '/Reports/IELTSReport?dt1=' + dt1 + '&dt2=' + dt2 + '&format=' + format + '&Ielts=' + Ielts + "&Brach=" + Brnch + "&Score=" + Score+"&filteron="+filter;
                    a.target = '_blank';
                    document.body.appendChild(a);
                    a.click();
                }
                else {
                    alert("Select Dates first");
                }

            });
        });
    </script>
}
